Endpointsテスト

チャレンジステータスを設定する

既存のチャレンジのステータスを `PASS` または `FAIL` に強制的に設定します。 **テスト専用です。** チャレンジが完了した状態をシミュレートし、実際の検証可能な保護者同意フローを実行せずにチャレンジ完了後の処理を確認できます。

POST
/test/set-challenge-status
AuthorizationBearer <token>

In: header

Request Body

application/json

チャレンジステータス設定リクエスト

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/test/set-challenge-status" \  -H "Content-Type: application/json" \  -d '{    "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802",    "status": "PASS",    "age": 13,    "jurisdiction": "US-CA"  }'
{}